FreeMat

- Main Page
- Related Pages

vtkStructuredGridReader

Section: Visualization Toolkit IO Classes

# Usage

vtkStructuredGridReader is a source object that reads ASCII or binary structured grid data files in vtk format. (see text for format details). The output of this reader is a single vtkStructuredGrid data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

To create an instance of class vtkStructuredGridReader, simply invoke its constructor as follows

      obj = vtkStructuredGridReader

# Methods

The class vtkStructuredGridReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredGridReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredGridReader = obj.NewInstance ()`
- `vtkStructuredGridReader = obj.SafeDownCast (vtkObject o)`
- `vtkStructuredGrid = obj.GetOutput ()` - Get the output of this reader.
- `vtkStructuredGrid = obj.GetOutput (int idx)` - Get the output of this reader.
- `obj.SetOutput (vtkStructuredGrid output)` - Get the output of this reader.
- `int = obj.ReadMetaData (vtkInformation outInfo)` - Read the meta information from the file. This needs to be public to it can be accessed by vtkDataSetReader.